# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeElementarySurface Class Reference

This class implements the mapping between classes
ElementarySurface from Geom and the class ElementarySurface
from StepGeom which describes a ElementarySurface from
prostep. As ElementarySurface is an abstract Surface this
class is an access to the sub-class required.
.

`#include <GeomToStep_MakeElementarySurface.hxx>`

Inheritance diagram for GeomToStep_MakeElementarySurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeElementarySurface (const Handle(Geom_ElementarySurface)&S)
Standard_EXPORT const Handle_StepGeom_ElementarySurface & | Value () const

## Private Attributes

Handle_StepGeom_ElementarySurface | theElementarySurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeElementarySurface::GeomToStep_MakeElementarySurface | ( | const Handle(Geom_ElementarySurface)& | S | ) |

## Member Function Documentation

void GeomToStep_MakeElementarySurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeElementarySurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeElementarySurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_ElementarySurface& GeomToStep_MakeElementarySurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_ElementarySurface GeomToStep_MakeElementarySurface::theElementarySurface`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeElementarySurface.hxx